| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::TempBlendedBufferInfo Class Reference
Core » RenderSystem

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::TempBlendedBufferInfo:
[legend]

## Public Member Functions
| ~TempBlendedBufferInfo (void)
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct. More...
bool | buffersCheckedOut (bool positions=true, bool normals=true) const
| Detect currently have buffer copies checked out and touch it. More...
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest. More...
void | extractFrom (const VertexData *sourceData)
| Utility method, extract info from the given VertexData. More...
void | licenseExpired (HardwareBuffer *buffer)
| Overridden member from HardwareBufferLicensee. More...

## Detailed Description

Structure for recording the use of temporary blend buffers.

## Constructor & Destructor Documentation

## ◆ ~TempBlendedBufferInfo()

Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( | void |  | ) |

## Member Function Documentation

## ◆ extractFrom()

void Ogre::TempBlendedBufferInfo::extractFrom | ( | const VertexData * | sourceData | ) |

Utility method, extract info from the given VertexData.

## ◆ checkoutTempCopies()

void Ogre::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = `true`,
|  | bool | normals = `true`
| ) |  |

Utility method, checks out temporary copies of src into dest.

## ◆ bindTempCopies()

void Ogre::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload
| ) |  |

Utility method, binds dest copies into a given VertexData struct.

## ◆ licenseExpired()

void Ogre::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) |
| virtual

Overridden member from HardwareBufferLicensee.

Implements Ogre::HardwareBufferLicensee.

## ◆ buffersCheckedOut()

bool Ogre::TempBlendedBufferInfo::buffersCheckedOut | ( | bool | positions = `true`,
|  | bool | normals = `true`
| ) |  | const

Detect currently have buffer copies checked out and touch it.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h